Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Functions
fpe_fe1.h File Reference
`#include <botan/sym_algo.h>`
`#include <botan/bigint.h>`

Go to the source code of this file.

## Classes
class | Botan::FPE_FE1

## Namespaces
namespace | Botan
namespace | Botan::FPE

## Functions
BigInt | Botan::FPE::fe1_decrypt (const BigInt &n, const BigInt &X, const SymmetricKey &key, const std::vector< uint8_t > &tweak)
BigInt | Botan::FPE::fe1_encrypt (const BigInt &n, const BigInt &X, const SymmetricKey &key, const std::vector< uint8_t > &tweak)